<table *ngIf="tableMode else create" class="table table-sm table-striped">
  <tbody>
    <tr>
      <th>Id</th>
      <th>BeginMission</th>
      <th>FinishMission</th>
      <th>Discription</th>
      <th>Completion</th>
      <th>Status</th>
    </tr>
    <tr *ngFor="let t of tasks">
      <ng-template [ngIf]="task?.id != t.id" [ngIfElse]="edit">
        <td>{{t.id}}</td>
        <td>{{t.beginMission}}</td>
        <td>{{t.finishMission}}</td>
        <td>{{t.discription}}</td>
        <td>{{t.completion}}</td>
        <td>{{t.status}}</td>
        <td>
          <button class="btn btn-sm btn-primary" (click)="selectTask(t.id)"
                  [disabled]="currentUser.checkIfAdmin">
            Edit
          </button>
          <button class="btn btn-sm btn-danger ml-1" (click)="deleteTask(t.id)"
                  [disabled]="currentUser.checkIfAdmin">
            Delete
          </button>
        </td>
      </ng-template>
    </tr>
  </tbody>
  <tfoot>
    <tr>
      <td colspan="6" class="text-center">
        <button class="btn btn-primary" (click)="clearTask(); tableMode=false"
                [disabled]="currentUser.checkIfAdmin">
          Create
        </button>
      </td>
    </tr>
  </tfoot>
</table>

<ng-template #edit>
  <td colspan="6" class="bg-light border p-3">
    <div class="form-group">
      <label>Id</label>
      <input class="form-control" [(ngModel)]="task.id" disabled />
    </div>
    <div class="form-group">
      <label>BeginMission</label>
      <input class="form-control" [(ngModel)]="task.beginMission" />
    </div>
    <div class="form-group">
      <label>FinishMission</label>
      <input class="form-control" [(ngModel)]="task.finishMission" />
    </div>
    <div class="form-group">
      <label>Discription</label>
      <input class="form-control" [(ngModel)]="task.discription" />
    </div>
    <div class="form-group">
      <label>Completion</label>
      <input class="form-control" [(ngModel)]="task.completion" />
    </div>
    <div class="form-group">
      <label>Status</label>
      <input type="number" class="form-control" [(ngModel)]="task.status" />
    </div>
    <div class="text-center">
      <button class="btn btn-sm btn-primary" (click)="updateTask(task.id)">
        Save
      </button>
      <button class="btn btn-sm btn-info ml-1" (click)="clearTask()">
        Cancel
      </button>
    </div>
  </td>
</ng-template>

<ng-template #create>
  <div class="m-2">
    <div class="form-group">
      <label>Id</label>
      <input class="form-control" [(ngModel)]="task.id" disabled />
    </div>
    <div class="form-group">
      <label>BeginMission</label>
      <input class="form-control" [(ngModel)]="task.beginMission" />
    </div>
    <div class="form-group">
      <label>FinishMission</label>
      <input class="form-control" [(ngModel)]="task.finishMission" />
    </div>
    <div class="form-group">
      <label>Discription</label>
      <input class="form-control" [(ngModel)]="task.discription" />
    </div>
    <div class="form-group">
      <label>Completion</label>
      <input class="form-control" [(ngModel)]="task.completion" />
    </div>
    <div class="form-group">
      <label>Status</label>
      <input type="number" class="form-control" [(ngModel)]="task.status" />
    </div>
    <div class="text-center">
      <button class="btn btn-sm btn-primary" (click)="createTask()">
        Save
      </button>
      <button class="btn btn-sm btn-info ml-1" (click)="clearTask()">
        Cancel
      </button>
    </div>
  </div>
</ng-template>
